Clone Overview

Clone v3

Clone is an easy to use file backup utility. Clone can be configured to carry out automated backups of your critical data. Once you have configured Clone you need take no further action to ensure all your important data is backed up, it's all carried out automatically.

Clone copies files from one location to another. Your files are copied "as is" making it very simple to recover after an unforeseen loss of data. Clone does not use any proprietary format for storing your files, you won't even need a copy of Clone to restore your files, Windows Explorer will do the job. Clone will backup files to any media that can be mapped to a Windows directory, including UNC paths. For example, you can backup to a second hard disk drive, a USB storage device, a CD/DVD-RW drive, a network file server. You can use file filters to specify in detail which files you want backed up, e.g. *.doc will only backup your documents. Clone is very easy to run and configure.

Clone keeps a track of how many files it has checked and copied so you always know what the program is doing.

Main Features

  • Backup files and directories to a defined location - as many as you like
  • Compatible with Windows 7, Windows Vista and Windows XP. Extensively tested on all these environments.
  • Optimised to run very quickly with minimum system resources used, using the latest microsoft .NET framework
  • Can be setup to backup files "realtime", i.e. as soon as files are changed in a source folder they get immediately copied to the destination folder
  • Uses the date and time of a file to determine if a file should be copied
  • Synchronise directories
  • Backup to any media that can be mapped to a windows drive or UNC path
  • Use file filters to specify the type of files you want to copy.
  • Schedule backs to occur at set intervals e.g. every 60 minutes
  • Statistics tell you how many files have been analysed / copied
  • Statistics tell you if any errors have occurred
  • A log-file records sucessful copies as well as any files that might have been skipped.
  • System tray support. Clone is hidden and doesn't clutter your task bar or desktop
  • Can be set to automatically start when Windows is started
  • Easy to use interface
  • Extensive help file and tooltips are included
  • Simple registration procedure, no additional downloads required
  • Can be configured to keep old versions of files which you can go back to later if required.
  • Can be configured to delete files and folders from the destination directory when they have been removed from the source, this is controlled by user defined limits to prevent accidental deletion of important files.
  • Automated detection of new versions. Upgrades happen at the click of the button and take less than 5 seconds.
  • Developed by a software developer with 20 years experience.


Setup and Installation

Installation

Clone can be downloaded from the following web site :-

http://newtonsoftware.net/clone/CloneSetup.msi

Clone is installed by double clikcing CloneSetup.msi file. This is a windows installation file. Once you have downloaded the installation file just double click on it. The default installation folder for Clone is :-

c:\program files\clone3
The icon group created by the installation looks something like :-

These icons are explained below :-
  • Clone : Runs Clone
  • Clone Help : View Clone help file.

An icon should also have been created on your desktop.

Running Clone

To run clone click on the the Clone Icon.


Clone - Getting Started

Getting Started

The clone user interface is based on a tabbed layout. All screens can be easily navigated to at the click of a button. You can get help on any screen of clone by pressing the F1 key (top left of keyboard). The tabs are shown below

The first thing you need to do is configure the files that you want backed up. This is done on the following screen which is accessed from the "Sets" tab

For detailed information on the operation of this tab see :- Sets Tab
The screenshot above shows the various sets configured, e.g. "external hd backup". The list will be empty the 1st time you run clone. Once you add a new set using the New button you will see it in the list. The check box to the right of the set name allows you to include (when checked) or exclude the set from a backup. For example if you configure Clone on your laptop you will want to exclude files that are normally backed up to your work server when you are using your laptop at home.
The New / Properties button takes you to another configuration screen. This is shown below :-

This screen enables you to configure the exact details of the current set. You can choose to backup an entire directory, a single file or files that match a filter. You can set several options relating to a set, these are described in more detail in Set Configuration Screen .


Clone Screens

Clone Screens (tabs)

This section lists the various tabs that are used in Clone. Each tab is described in detail Expand this menu option or click on the screen shots below to get more detail on each tab / screen :-

Summary

Sets

Statistics

Settings

Set Details

Set Exclusions


Summary Tab

This is the main tab and gives you important information on what clone is doing. Including information on how many files have been copied, deleted and skipped. Files may be skipped if they are currently open by another application.

Tab Options

The options available from this screen are described below, each option is available by clicking on the appropriate toolbar icon :-

This displays the screen that allows you to configure which files and folders you want to be backed up.
Display the statistics screen. This gives detailed information on file copy operations, such as file transfer rates
Display the settings screen. This allows you to fine tune clone to work exactly as you want it.
Display the about screen. This shows you detailed information on the current version of clone and allows you to enter your registration details.
This button on the summary tab carries out an adhoc checks all the files in your currently selected sets. It is recommended that Clone is configured to re-run at a set intervals of time. This is done using the settings screen.

Running Clone all the time :

You may want to configure Clone to run (i.e. re-check all your files) at designated intervals during the day. This can be done using the option on settings tab : There is an option on this screen to start Clone when windows starts. See help on this screen for more information about using this option.

Registering Clone :

You may use Clone for 30 days. After this trial period you must register the program in order to continue to use it. You can pay for the program online, see purchase options for information on registering Clone. For details on the actual registration process see the register screen . To register the program click on the about tab.


Configuration

Sets Tab

The configuration screen shown below drives the operation of Clone. It contains a list of "sets" that need to be backed up.

Each item shown in the list above defines a directory or file that will be backed up. You can exclude defined sets from subsequent backups by un-checking the checkbox next to the set name. These sets are configured on the Set Configuration Screen . The set configuration defines the source and destination file / directory as well as a set of parameters that define when a file should be copied and what to do if the file already exists in the destination directory.

The way you define your sets on this screen and the Set Configuration Screen is saved so next time you run Clone the settings are exactly the same as they were previously. This is done automatically, i.e. when you make a change the settings are saved, no save option is required.
The order of the sets in the list above defines the order in which the files will be backed up when Clone runs. The order can be changed using the buttons marked "Move up" and "Move down". For example "Tims Documents" will be backed up first and "laptop backup" last.

Toolbar Options

The options available from this screen are described below, each option is available by clicking on the appropriate toolbar icon :-

Add a new set to be backed up. This option takes you to the set configuration screen
Edit the set you have currently selected. This option takes you to the set configuration screen
Remove the set you have selected.
Move the set that is currently highlighted up.
Move the set that is currently highlighted down.
If you are an existing user of clone version 2 this will allow you to import your sets


Set Configuration

Set Configuration Screen

The configuration screen shown below enables you to define a set of files to be backed up. It also allows you to configure how files that already exist in the destination directory should be dealt with. For example you may want to keep old versions of a file, in this case you can define how long these files should be kept for.

The various options on the screen are described below :-

Set Name :- This defines the name of the set. This name is displayed on the main Configuration Screen The set name can only be any sequence of characters including spaces

Src Folder :- This is the directory that you want to be backed up. The button opens a windows explorer type dialog box to navigate to the directory you want to select, then click the OK button.

Dest Folder :- This is the directory were the source files specied above will be copied to. The button opens a windows explorer type dialog box to navigate to the directory you want to select, then click the OK button.

Filter :- If you only want to backup a single file or a specific type of file then the filter can be used to define these files. For example if you are only want to backup word documents in the "My Documents" folder then you can specify a filter of *.doc. If you would also like to backup a particular file you can specify the file name in the filter, e.g. :- accounts.xls;*.doc This filter would backup all word documents and the file accounts.xls. Filters should be separated by ; (semi-colon). Any number of filters can be used.

Copy Mode :- This option should be set to source --> destination, which it is by default. However if you need to recover files from your destination drive you can "swap" the way this set works. This will update your source folder with files from your destination drive.

Source Directory Options

Include Sub Directories This option allows you to include all the sub-directories under the main directory selected in the "Source Directory or file" described above.

Realtime Check on Source Selecting this option allows creates a "file system watcher", this basically watches for any updates to files in your source folder. As soon as these updates occur the file is copied immediately and does not have to wait until the next timed or adhoc backup.

Deletes

Remove Deleted Files from Destination will delete any files from the destination folder that have been removed from the source folder. This may be useful in the following scenarios. 1) if you have restructure your source folder. Otherwise you will end up with duplication in your destination folder. 2) If you want to keep you destination folder exactly in sync with the source folder.
It may be desirable to keep copies of files in the destination folder even if they have been removed from the source folder. For example to prevent against accidental deletion from the source folder.

Delete Warning Threshold allows you to specify a ratio of files that it is acceptable to delete without any warning. For example of this option selected and the value is set to 10% it would allow 10 files to be deleted when there are 90 files in the source folder. This option can be unselected so you are never warned /about deletions, regardless of the number of files being deleted. If you select this option and have a threshold value of 0% you will be prompted each time clone attempts to remove files. This option and the value are intended as a safety net to warn you if a large number of deletions are about to happen. I would recommend that this option is left on.

Existing Destination Files

These options determine what Clone does with files that are already present in the destination directory, e.g. if a file already exists but a newer version needs to be copied into the destination directory what should be done with the file about to be overwritten.
  • Overwrite files in destination directory. If this option is chosen then files in the destination directory will be overwritten by files in the source directory. If this option is unchecked, files will not be overwritten and any subsequent changes to the source file will not be backed up. Uncheck this option with caution.
  • Keep a copy (in a sub dir) This option allows you to keep the existing file that is in the destination directory. The file is moved to a sub-directory called "#clone#arc#". The orginal filename is appended with a version number which is just a sequence beginning with 1, e.g. if the original file name is cv.doc the archived versions will be cv.doc.1 cv.doc.2 etc .....
  • Keep copy Days option This enables you to specifiy how long the archived files in the sub folder should be kept for. This is based on the last modified date of the original file. After x days (after the file was last modified) the file will be removed from the archive folder. If this is set to 0 (zero) then then all archived files will be kept indefinitely
  • Keep copy for Realtime copies Realtime copies will only keep a copy of the original file if this option is set, as well as the Keep Copy option above

Exclusions

The following screen is displayed on the 2nd tab on this screen. This allows you to exlcude particular files and folders from your set. In the example below all files with a vhd extension are excluded from the backup. Also all files in the Video folder will not be included. The filters operates in the same way as the filters box described above.


Statistics Tab

This screen shows general information on how clone is operating. The statistics are just displayed for the most recent backup and will be overwritten when the next backup proceeds.

File Count

This shows the number of files initially in the source and destination

Bytes

  • Bytes copied The number of bytes (units displayed) copied from the source folder into the destination folder.
  • Bytes remaining The number of bytes (units displayed) that are still oustanding in the current backup.
  • Bytes errored The number of bytes (units displayed) that could not be copied in the current backup.

Performance

  • Read Speed The rate at which bytes are read from the source folder.
  • Write Speed The rate at which bytes are written to the destination folder. Note that some operating systems "cache" file data in memory and only write this to the physical media at a later stage determined by the operating system. If this is the case then this rate may appear to be quicker than the actual rate.
  • Overall Speed The rate at which bytes are transferred from a source folder to a destination folder. In the screen shot given bytes are being transferred at a rate of 3650 KB every sec.

Files

This shows the number of files and folders deleted. These statistics are cumulative and not just for the most recent backup.

Realtime

This shows the file name of the latest file change detected by the "Realtime" settings. This file will be copied to the destination folder immediately.


Clone Settings

This screen allows you to configure the way Clone operates. The screen shot belows shows the available options.:-

Timer

This sections allows you to specify the time interval between clone runs. This is specified in seconds, a guide to the number of minutes is also displayed under the seconds. The Timer check box allows you to activate or diabled the scheduled backups. It is recommened that this should be run at frequent intervals. Clone only uses a small amount of system resources so should be run frequently to ensure you backup remains up to date.

General

  • System Tray Icon This allows you to hide the normal icon in the task bar and just have a small icon in the system tray. The system tray is at the bottom right hand corner of the screen. This allows you to keep your normal task bar free from cluter and also allows you to "setup and forget" about clone.
  • Tray messagesIf you have selected the "System Tray Icon" described above then you can utilise system tray messages and notifications. This will notify you with a ballon type message of how many files were copied and deleted during a backup. A message will be displayed after each backup is complete. An example message is show here :
  • Hints (tool tips) If this is selected then hints known as tool tips will be displayed for all of the windows controls (text boxes labels etc ....). These are intended to assist users, however if they are distracting they can be disabled here.
  • Auto Start This option will automatically start clone when windows starts
  • Run minimised This option runs clone in a minimised form, this is usual when used with the above option to avoid you having to minise clone when it has automatically started.
  • Run on start If you want clone to do a backup as soon as it starts then use this option. If this isn't set clone will wait for the interval set in the Timer options before carrying out a backup.

Closing Clone

These options are relevent only when clone is closed using the X at the top right hand corner of the screen :
  • Prompt on Close Select this if you want to be prompted when clone is closed.
  • Minimise on Close Select this if you want to minimise clone when clone is closed.

Logfile

  • Enabled Logging If you want to keep a log of what Clone is doing the log file should be enabled using this option. The maximum file of the logfile is configured here. Specifying 0 (zero) means the logfile size should not be managed.
  • Keep old logs If you wish to keep old logfiles when the maximum size is reached use this option.
  • Logging Level You can specify what "level" of logging you require. You can choose to record successful copies, errors, deletes and detailed logging. An error may occur when a file is open and Clone attempts to copy it. In this case Clone will not be able to copy the file. This would happen if you are currently editing a document and Clone attempts to copy it. If for Clone is unable to write to the log file logging will be automatically disabled. If you want to limit the file size of the log file then this can be specified in the "Maximum log file size" box. If your log file increases beyond this size then Clone will automatically remove lines from the beginning of the file in order to keep the log file to your specified maximum.

Ignore file types

Clone can be set to ignore files of a certain type. These file types will be exlcuded from all operations, i.e. full backup and realtime backup.
  • Read Only Ignore Read Only files
  • Hidden Ignore Hidden files. Files such as temporary word files are set as hidden.


About Tab

This screen display information about the build version of clone. It also allows you to send support reqests to Newton Software.

Register

This section allows you to enter your activation code provided by Newton Software Solutions. This code is specific to a single PC. If you need clone on a seperate PC you will need to request a seperate code. To send your serial number and Registration Name to Newton Software click on the "Request Activation Code" link. Your registration name can be anything you like, e.g your name or business name.

Once you received your activation code, enter it in the Activation code text box.


Clone Registration

This section describes how to register and purchase


Configuration

Purchasing Clone

You can purchase Clone online. Please see http://newtonsoftware.net/clone/purchase.html for the details of how to pay and the cost of your licences. Invoices for business purchases can be arranged, see the above web page for details. UK Cheques, and UK BACS payments are also accepted by arrangement.


About the Author

Registration Process

Once you have paid for Clone you will be issued with an activation key. This code is unique to your computer, and you will have to provide me with the serial code and your registration name in order for an activation code to be issued. This is described on the About Tab This serial number(s) should be provided to me when you actually place your order so I can process your order quickly without having to contact you to request your software key.


Frquently Asked Questions

Clone FAQ

General Questions :-

Why do I need Clone? What can it do for me?
Why Clone and not another backup utility?
What Operating System will Clone run on?
How do I get a copy of Clone?
What’s the current version of Clone?
How can I keep informed of new changes to Clone?
How much does Clone Cost?

Clone Operation and Configuration :-

What's the best hardware configuration for Clone?
How do I find the Location of my important files?
What's synchronisation about?
How can I recover / restore lost files?
How Do I copy a file to multiple locations?
Can Clone backup my entire system?
How do I get support for Clone?

Why do I need Clone? What can it do for me?

If you have ever lost an important file then it's unlikely that you are asking this question. When I say "lost a file" this could be due to :-
  1. Media failure - e.g. a hard disk error
  2. Operating System error - e.g. windows crash
  3. Accidental deletion
  4. Accidental overwrite
Any of the above situations can cause days, months or even years of lots information. In order to protect yourself against the above you can use Clone to ensure you have a backup of all your important data. You can even configure Clone to keep old versions of your files, so should you accidentally overwrite your file you can go back to the last "good" copy.
You can use Clone to backup as many files and folders as you like. This will ensure that all your data is backed up. Clone can be configured to run at frequent intervals, e.g. every 15 minutes so all your data is secure, all the time! If you are not sure where your files are held in order to configure Clone then locating my important files? should help.

Why Clone and not another backup utility?

If any of the following statements apply to you then you should seriously consider Clone :-
  1. I want to protect my files against media / hard disk failure and accidental deletion.
  2. I want an easy to use utility to backup my important files.
  3. I want to backup files to one of the following :-
    • Another directory on my hard disk.
    • A second hard disk.
    • A CD-RW drive.
    • A DVD-RW / DVD+RW drive.
    • A network file server.
    • A UNC patch eg. : \\NTserver1\backupdisk\user1
    • Multiple locations e.g. the same file can be copied to all of the above at once.
    • From one computer to another.
    • From my laptop to my desktop and vica-versa.
  4. I want an utility to synchronise files in two directories, e.g. :- laptop <--> desktop.
  5. I want to keep historical copies of files that I can go back to later if required.
  6. I want a utility to schedule backups or carry out backups at frequent intervals.
  7. I would like my files backed up when my screen saver runs.
  8. I want to know how my backups have progressed.
  9. I want to run my backup utility from the system tray.
  10. I want to use a utility where I can get 1st class support from the software author.

No other backup utility offers all the features of Clone in one package for such a reasonable cost. If you still aren't convinced then download Clone and try it out free of charge for 30 days.

What Operating System will Clone run on?

Clone should run on all versions of Windows that support the .NET 3.5 framework. Including Windows XP, Windows Vista and Windows 7.

How do I get a copy of Clone?

Go to the download page . You can get a fully functional copy of Clone that will allow you 30 days to evaluate the product.

How much does Clone Cost

You can use Clone free for 30 days. If you decide the program is useful and you would like to continue to use it then you must register. For costs refer to Clone Costs .

What’s the current version of Clone?

Version 3.0.0. This was released in March 2010. The original version of Clone dates back 10 years.

How can I keep informed of new changes to Clone?

Drop me an email and I’ll add you to my distribution list.

What's the best hardware configuration for Clone

Clone can be utilised in several different hardware configurations in order to ensure that your files are kept safe at all times. The ideal configuration for Clone depends on the hardware at your disposal. In order to prevent file loss due to media failure, which is the most likely cause of data loss, you need to use Clone to copy files to a different physical device / media. Some of the most commonly used hardware setups of Clone are described below.
  • File Server : If you are in an office environment then it's likely that you have access to a file-server. If a directory on the server is owned by you then you can setup Clone to copy files to the server. This configuration is the safest because it ensures that even a major incident, such as your computer being stolen (or catching fire?) your files are still safe since they are in a different location to your PC (even if the server is in the same office). If you cannot map a drive to the file server you can use a UNC path such as :- \\NTserver1\backupdisk\user1. Click here for a detailed example of how to map a windows directory to a network file server.
  • Hard Disk : If your computer has 2 hard disk drives or you have access to a portable / external hard disk drive then you can configure Clone to copy files to the 2nd hard disk. In order to protect yourself from hard disk failure you can copy files from one disk to another and vica versa, e.g. source :- c:\my documents destination d:\backup
  • CR-RW / DVD-RW : If your computer has a writable CD or DVD drive you can configure Clone to copy files to it. This will protect your files from hard disk failure e.g. source :- c:\my documents destination :- e:\backup
  • USB device : If you have a USB storage device and it is big enough to hold your backup files you can configure Clone to copy files to it. This will protect your files from hard disk failure e.g. source :- c:\my documents destination :- h:\backup

How do I find the Location of my important files?

The table below gives examples of where you might find files that you want Clone to backup. You will not necessarily find the files in exactly the same location on your PC but the examples should point you in the right direction. If you want to backup a specific type of file and you are having difficulty locating it on your hard disk drop me an email and I'll try to help.

Product / files | How to find location | Example (Windows XP)
Microsoft Outlook Express | From the Outlook Express menu select Tools | Options | Maintenance and click the StoreFolder button. You see a dialog with the name of the directory that has your mail files. If you look in that directory you find files named after your mail folders and news groups. They all have a .DBX suffix. Outlook Express keeps all messages in these database files. | D:\Documents and Settings\Tim Newton\Local Settings\Application Data\Identities\{F4A50882-5517-4D49-A21A-C59C3BE134F9}\Microsoft\Outlook Express
Microsoft Outlook | From the Outlook menu select View | Folder List (this option may already be chosen). Right click on the top level directory in your folder list, choose Properties | Advanced. The Name of the file is show in the Path box. | D:\Documents and Settings\Tim Newton\Local Settings\Application Data\Microsoft\Outlook\outlook.pst
Documents, e.g. Word / Excel | By default these would normally be stored in "My Documents". | C:\Documents and Settings\Tim Newton\My Documents

How can I recover / restore lost files?

Clone makes it easy to recover files that have been lost from your source directory. Simply change the synchronisation mode from "source --> destination" to "destination --> source". As well as using Clone to recover your files you may choose to use windows explorer to copy files from your destination directory.

How Do I copy a file to multiple locations?

You may want to backup a file or set of files to more than one destination. This is easy to achieve by creating a set on this screen for each destination directory you have.

Can Clone backup my entire system?

Clone is a file backup utility rather than hard disk imaging software. If you specify that you want your c:\ drive copied in it entirety to the d:\ drive then Clone will copy every file it can onto the d:\ drive. However files that are permanently held open by windows such as the registry file will not be copied. If you want a utility to make a mirror image of you hard disk you should consider a product such as Norton Ghost .

How can I get support for Clone?

I provide email based support. I make every effort to respond to support requests the same working day. Please check this FAQ before sending a request for support.


Copyright and Legal Obligations

End User Licence Agreement (EULA) for Clone

SOFTWARE PRODUCT LICENSE
Clone is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. Clone is licensed, not sold.

1. GRANT OF LICENSE.
 This EULA grants you the following rights with respect to Clone:
Newton Software Solutions Limited. grants you an individual, personal, nonexclusive license to make and use copies of Clone for the sole purpose of using it. You may install copies of Clone on a single PC provided that you are the only individual using Clone. If you are an entity, Newton Software Solutions Limited. grants you the right to designate one individual within your organization to have the right to use Clone in the manner provided above.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.
- Limitations on Reverse Engineering, Decompilation, and Disassembly.
You may not reverse engineer, decompile, or disassemble the object code portions of Clone, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.
- Software Transfer.
You may permanently transfer all of your rights (not a part of them) under this EULA, provided the recipient agrees to the terms of this EULA.
- Termination. Without prejudice to any other rights, Newton Software Solutions Limted may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of Clone and all of its component parts.

3. COPYRIGHT.
 All title and copyrights in and to Clone (including but not limited to any images and text incorporated into Clone), and any copies of Clone are owned by Newton Software Solutions Limted. Clone is protected by copyright laws and international treaty provisions. Therefore, you must treat Clone like any other copyrighted material.

LIMITED WARRANTY
 NO WARRANTIES.
Newton Software Solutions Limted expressly disclaims any warranty for Clone. Clone and any related documentation is provided "as is" without warranty of any kind, either express or implied, including, without limitation, the implied warranties or merchantability, fitness for a particular purpose, or noninfringement. The entire risk arising out of use or performance of Clone remains with you.

NO LIABILITY FOR DAMAGES.
 In no event shall Newton Software Solutions Limted be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this product, even if Newton Software Solutions Limted has been advised of the possibility of such damages.


Configuration

Configuration Screen

The configuration screen shown below drives the operation of Clone. It contains a list of "sets" that need to be backed up.

Each item shown in the list above defines a directory or file that will be backed up. You can exclude defined sets from subsequent backups by un-checking the checkbox next to the set name. These sets are configured on the Set Configuration Screen . The set configuration defines the source and destination file / directory as well as a set of parameters that define when a file should be copied and what to do if the file already exists in the destination directory.

The way you define your sets on this screen and the Set Configuration Screen is saved so next time you run Clone the settings are exactly the same as they were previously. This is done automatically, i.e. when you make a change the settings are saved, no save option is required.
The order of the sets in the list above defines the order in which the files will be backed up when Clone runs. The order can be changed using the buttons marked "Move up" and "Move down". For example "Tims Documents" will be backed up first and "laptop backup" last.

Toolbar Options

The options available from this screen are described below, each option is available by clicking on the appropriate toolbar icon :-

Add a new set to be backed up. This option takes you to the set configuration screen
Edit the set you have currently selected. This option takes you to the set configuration screen
Remove the set you have selected.
Displays the main configuration screen.
Move the set that is currently highlighted down.
Move the set that is currently highlighted up.
Shows help for this screen.
Display "About" information.


.topic 1000
If you want to keep a log of what clone is doing then the log file should be configured here. You specify the directory the log file is stored in as well as what kind of information you want to record. You can choose to record successful copies as well as any errors that may occur. An error may occur for example when a file is open and clone attempts to copy it. In this case clone will not be able to copy the file. This could be a document you are currently editing or your outlook mail file (if you currently have outlook open) or any file that is currently held open by any other program. If for some reason clone is unable to write to the log file logging will be automatically disabled. If you want to limit the file size of the log file then this can be specified in the "Maximum log file size" box. If your log file increases beyond this size then clone will automatically remove lines from the beginning of the file in order to keep the log file to your specified maximum.
.topic 1001
The directory the log file is stored in.
For example c:\temp would store the log file in a folder temp on your c drive.
.topic 1002
Browse the file system to select a directory where the logfile will be
stored.
.topic 1003
The maximum file size (in MB) of the log file. If the log file increases beyond this size then clone will automatically remove lines from the beginning of the file in order to keep the log file to your specified maximum.
.topic 1004
If you want to keep a log of what clone is doing the log file should
be enabled using this option.
.topic 1005
Keep a log of all successful copies.
.topic 1006
Keep a log of all errors encountered.
.topic 1007
Keep a log of all deletes carried out.
.topic 1008
If you choose to run clone in screen saver mode you may like to run your conventional screen saver while clone is running, lets be honest clone isn't that exiciting to watch. You do this by selecting your screen saver using the browse button and checking the option to "Run alternative screen saver".
.topic 1009
This holds the name of an alternative screensaver that you want to run
if you are running clone in screensaver mode. Screensavers are normally
found in your windows directory and have the file extension of .scr e.g.
banner.scr
.topic 1010
Check this option if you want to run the screensaver selected in the box above when clone is running in screensaver mode
.topic 1011
Select the screen saver you want to run if Clone is running in screen saver mode. Look in the windows directory for screensavers
.topic 1012
If you are running clone as a standard application you may wish to set it to automatically run at set intervals. You can specify the number of minutes you want to wait before re-running clone automatically. Using this option allows you to have all your files safely backed up every 1hr for example. This option is not applicable to screen saver mode.
.topic 1013
Number of minutes between each automatic run of clone. The timer does
not start until the previous run is complete. For example if the timer
is set to 30 minutes and it takes clone 15 minutes to check and update
files the time between runs would be 45 minutes.
.topic 1014
Check this option if you want to Clone to automatically re-run at the
interval specified above. Not applicable to screen saver mode.
.topic 1015
if you want clone to automatically start each time windows starts then
check this option. if you receive an error when checking this option you
may not have permission to update your registry.
.topic 1016
If you have chosen the option to start clone with windows you may want
to delay the first run of clone for a set number of minutes. For example
if clone is configured to make a copy of your email file (which may take several minutes)
you might want to delay this until you have checked your email. If clone
begins to copy your email file as soon as windows starts you would have
to wait until it has finished before you can check your email.
.topic 1017
This option allows you to have an icon for clone in the system tray rather than the main task bar. This is useful if you run clone all the time since it keeps your main task bar clear for other applications to use. You can access a pop-up menu by right clicking the icon in the system tray.
.topic 1018
Show the status bar for Clone. The status bar displays summary information about the operation of clone, such as number of files copied and next run time. This is useful for keeping you desktop clear and supplies important summary information allowing you to keep up to date with Clone's operation.
.topic 1019
This sets the position on the screen of the status bar if you are using it.
.topic 1020
Selecting this option allows the status bar to always remain visible even if other applications would normally obscure it.
.topic 1021
This applies any changes you have made.
.topic 1022
This ignores any changes you have made.
.topic 1023
Shows the main help information for this screen.

.topic 2000
Allows you to view the sets you have configured. You can see the main
details of the sets, i.e. source and destination directories as well as
the time the set was last backed up.
.topic 2001
Add - Adds a new set to your current configuration
Properties - Edits the set you have selected
Remove - Removes the set you have selected
Move Down - Moves the set you have selected down
Move Up - Moves the set you have selected up
Help - Shows the main help information for this screen
About - Shows the about box
.topic 2002
This applies any changes you have made.
.topic 2003
This ignores any changes you have made.

.topic 3000
The configuration screen enables you to define a set of files to be backed up. It also allows you to configure how files that already exist in the destination directory should be dealt with. For example you may want to keep old versions of a file, in this case you can define how and where these older versions should be kept.
.topic 3001
This is an abitary name that you define for the set of files /
directories that you define below, e.g. "Tims documents". The set name
may only contain alphabetic and numeric characters as well as spaces.
.topic 3002
This is the source directory, e.g. "c:\My Documents\" that you want to
be backed up. Use the browse button to navigate to the directory you
require. Clone will search this directory for new / updated files and copy these to the
destination directory. The exact operation is dependant on the options
you choose below.
.topic 3003
This is the destination directory, e.g. "d:\backup\My Documents\"
Use the browse button to navigate to the directory you require.
Clone will copy  new / updated files from the source directory into this directory.
The exact operation is dependant on the options you choose below.
.topic 3004
Use this to navigate to the directory you want to select.
.topic 3005
If you only want to backup a single file or a specific type of file then
the filter can be used to define these files. For example if you are
only want to backup word documents in the "My Documents" folder then you
can specify a filter of *.doc If you would also like to backup a
particular file you can specify the file name in the filter, e.g. :-
accounts.xls;*.doc This filter would backup all word documents and the
file accounts.xls. Filters should be separated by ; (semi-colon) and any
number can be used.
.topic 3006
Select this option if you want to include all the sub directories
beneath the source directory you have selected. e.g. selecting c:\ as
the source with this option would copy all the directories on your c:\
drive.
.topic 3007
If a file does not exists in the destination directory it will always be copied unless you choose the archive option and the archive bit is not set. These options are used to determine if a file should be copied when a file already exists in the destination directory. Three options are available :-
1) File Date & Time. This option should be used if you want to copy newer versions of the file over an older file, i.e. the file in the source directory has been modified more recently than the file in the destination directory. This is useful when files are frequently updated.
2) Archive Bit. All files have an archive bit (or flag). This flag is cleared by a backup program such as clone when the file has been successfully backed up. The flag is set the next time the file is updated, thus allowing clone to determine if the file needs to be backed up again. Using this option will have a similar outcome to the Date & Time option described above. If any other backup programs are used on your PC then use this option with caution as other programs may clear the archive flag.
3) File Size This option will only copy a file if the source file is a different size to the destination file. This option does not use the date of the file so could in theory copy an older version of a file over a newer version if the file sizes are different. Use with caution
.topic 3008
As well as copying files from the source directory to the destination another Clone allows you
syncronise the source and destination directories. The options are
described below :-
1) 1 way src --> dest. This copies new / updated files from the source
directory to the destination directory. This is the default option.
2) 2 way src <--> dest. This copies new / updated files from the source
directory to the destination directory and also copies new / updated files
from the destination directory to the source. This would be useful for
synchronising a documents directory on a desktop machine with a documents
directory on a laptop.
3) 1 way dest --> src. This copies new / updated files from the
destination directory to the source directory. This might be useful for
restoring your files in the source directory after a system crash.
.topic 3009
These settings should only be changed from their default values if you are sure you understand how they work. Changing the values could result in the loss of data for example if you use the delete option.
.topic 3010
If this option is chosen then files in the destination directory will be overwritten by files in the source directory (if the copy options determine a file needs to be copied). If this option is unchecked, files will not be overwritten and any subsequent changes to the source file will not be backed up. Uncheck this option with caution.
.topic 3011
This option allows you to keep an existing file (if it is about to be replaced with a newer version of the file) that is in the destination directory. This is acheived by 2 techniques. Either the file is moved to a defined sub-directory of the destination directory or the filename is appended with a sequence or datetime stamp. The sub directory and the file name append options can be used together if required.
.topic 3012
This option will move old files to the specified sub directory. This can be used to store a historical record of changes to a file each time it is copied by clone. This can be useful where you may need to go back to a previous version of a file.
.topic 3013
This keeps the original file name and does not append a date or sequence number to the file name. If you choose the "Keep copy of existing file" option above and this option you also have to enable the move to sub directory option.
.topic 3014
This option appends the file name with a sequence number, eg. cv.doc becomes cv.doc.1 when a new version of cv.doc is discovered the older version will be renamed to cv.doc.1 before the new file is copied. This allows you to keep a history of a file and will allow you to got back to an older version of a file if you make a major blunder in the new file.
.topic 3015
This option appends the file name with the date and time, eg. cv.doc becomes cv.doc.03102002-213928 when a new version of cv.doc is discovered the older version will be renamed to cv.doc.03102002-213928 before the new file is copied. This allows you to keep a history of a file and will allow you to got back to an older version of a file if you make a major blunder in the new file. The example shown here was copied on 03/10/2002 21:39:28 hrs.
.topic 3016
Accepts any changes you have made on this screen.
.topic 3017
Resets any changes you have made on this screen.
.topic 3018
If a file exists in the destination directory and it not present in the source directory (for example it has been deleted) this option will remove the file from the destination directory. This option is only applicable to one way synchronisations. Use with caution!

.topic 4000
Enter the registration code that you receive once you have purchased Clone here. You will have to provide the software key above at the time of payment. This is needed to generate your registration key.
Entering the correct code will allow enable full permanent full access to all the features of Clone.
.topic 4001
Once you have received your registration code and entered it above click on the register button to permanently register your version of Clone.
.topic 4002
Closes the window without registering Clone.
.topic 4003
Generate an email to the Clone's author containing your software code. The software code will be used to generate your registration code once payment for the program has been received
.topic 4004
Go to the secure payment site to purchase Clone


Summary Tab

This is the main tab and gives you important information on what clone is doing. Including information on how many files have been copied, deleted and skipped. Files may be skipped if they are currently open by another application.

Tab Options

The options available from this screen are described below, each option is available by clicking on the appropriate toolbar icon :-

This displays the screen that allows you to configure which files and folders you want to be backed up.
Display the main configuration screen.
This option re-checks all the files in your currently selected sets. This check is only normally carried out once when Clone is first started. Clone can also be configured to re-run at a set interval of time. This is done using the main configuration screen.
This option opens the current log file using notepad. The location of the log file is defined in the main configuration screen.
Shows this help file.
Exits from Clone.

All the above options are available from the pop-up menu displayed when Clone is displayed in the system tray. This is shown in main configuration screen.

Running Clone all the time :

You may want to configure Clone to run (i.e. re-check all your files) at designated intervals during the day. There are 2 methods that can be used to achieve this, the first option should be used in preference to the second :-
  • Use Option on main configuration screen : There is an option on the main configuration screen to start Clone when windows starts. See help on this screen for more information about using this option.
  • Add a shortcut to "Clone Minimized" to your startup group To do this right click on the start icon and choose the "open all users" option. Click on "programs" then "Clone". Click on the "Clone Minimized" icon and then click on "Edit" menu and the "Copy" option. Then from the programs list you opened above click on the "startup" group then the "Edit" menu and paste option. This will create a shortcut to run Clone in the minimized state each time you start windows. This option is the most effective if you choose the run Clone in the system tray option on the main configuration screen
Both these options should be used in conjunction with the option to re-run clone at set intervals, this option is also found on the main configuration screen

Registering Clone :

You may use Clone for 30 days. After this trial period you must register the program in order to continue to use it. You can pay for the program online, see purchase options for information on registering Clone. For details on the actual registration process see the register screen . To register the program click on the register button. Once you have registered this button will no longer be displayed.